package com.carlo.aiwolf.lib.talk;

import org.aiwolf.client.base.player.AbstractRole;
import org.aiwolf.common.data.Role;

/**
 *  偽COをしてくれるCOTalkCreater <br>
 *  
 *  dayStart(List<Judge> myJudgeList) では偽の占いor霊能結果のリストを与える <br>
 *  COは１回のみ。撤回等は出来ない。
 * @author info
 *
 */
public class FakeCOTalkCreator extends COTalkCreator{
	/** 偽CO用の役職 */
	protected Role fakeRole=null;

	public FakeCOTalkCreator(AbstractRole myRole) {
		super(myRole);
	}
	/**
	 * 騙る予定の役職を設定する。comingOut後は変更できない
	 * @param fakeRole
	 * @return 設定(変更)できたらtrue
	 */
	public boolean setFakeRole(Role fakeRole){
		if(isComingOut==false && this.fakeRole!=fakeRole){
			this.fakeRole=fakeRole;
			return true;
		}
		else return false;
	}
	
	@Override
	/**　fakeRoleを返す */
	public Role getComingoutRole(){
		return fakeRole;
	}

}
