package com.carlo.aiwolf.sample.player;

import org.aiwolf.client.base.player.AbstractRoleAssignPlayer;
/**
 *  GameInfoManager,TalkCreaterを用いて作成した単純なプレイヤー
 *  サンプル用
 * @author carlo
 *
 */
public class SamplePlayer extends AbstractRoleAssignPlayer {
	public SamplePlayer(){
		setVillagerPlayer(new SampleVillager());
		setBodyguardPlayer(new SampleBodyguard());
		setMediumPlayer(new SampleMedium());
		setSeerPlayer(new SampleSeer());
		
		setWerewolfPlayer(new SampleWerewolf());
		setPossessedPlayer(new SamplePossessed());
		
	}
	@Override
	public String getName() {
		return "carlo_sample";
	}

}
