package com.carlo.aiwolf.bayes.player;

import org.aiwolf.client.base.player.AbstractRoleAssignPlayer;

import com.koizu.aiwolf.player.Possessed;
/**
 *  ベイジアンネットワークを利用して作成したエージェント
 *  村人,狩人のみ簡単に実装
 * @author carlo
 *
 */
public class BayesPlayer extends AbstractRoleAssignPlayer {
	public BayesPlayer(){
		setVillagerPlayer(new BayesVillager());
		setBodyguardPlayer(new BayesBodyguard());
		setMediumPlayer(new BayesMedium());
		setSeerPlayer(new BayesSeer());
		
		setWerewolfPlayer(new CarloWerewolf());
		setPossessedPlayer(new Possessed());
		
	}
	@Override
	public String getName() {
		return "carlo";
	}

}
